%global packname  openssl
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          0.9.6
Release:          1%{?dist}.69
Summary:          Toolkit for Encryption, Signatures and Certificates Based on OpenSSL

Group:            Applications/Engineering 
License:          MIT + file LICENSE
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   
# Suggests:  R-testthat R-digest R-knitr R-rmarkdown R-jsonlite R-jose
# LinkingTo:
# Enhances:




#Requires:         R-testthat R-digest R-knitr R-rmarkdown R-jsonlite R-jose 
BuildRequires:    R-devel tex(latex) 
BuildRequires:    pkgconfig(openssl)

#BuildRequires:   R-testthat R-digest R-knitr R-rmarkdown R-jsonlite R-jose 

%description
Bindings to OpenSSL libssl and libcrypto, plus custom SSH pubkey parsers.
Supports RSA, DSA and EC curves P-256, P-384 and P-521. Cryptographic
signatures can either be created and verified manually or via x509
certificates. AES can be used in cbc, ctr or gcm mode for symmetric
encryption; RSA for asymmetric (public key) encryption or EC for Diffie
Hellman. High-level envelope functions combine RSA and AES for encrypting
arbitrary sized data. Other utilities include key generators, hash
functions (md5, sha1, sha256, etc), base64 encoder, a secure random number
generator, and 'bignum' math methods for manually performing crypto
calculations on large multibyte integers.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
rm -f %{buildroot}%{rlibdir}/%{packname}/cacert.pem
%{__ln_s} /etc/pki/tls/certs/ca-bundle.crt %{buildroot}%{rlibdir}/%{packname}/cacert.pem

%check
# %{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/cacert.pem


%changelog
* Wed Jan 18 2017 Oleg Girko <ol@infoserver.lv> 0.9.6-1
- Initial package for Fedora
- Checks disabled so far (circular dependencies)
